Extending Qt Creator Manual | Field

Extending Qt Creator Manual 4.5.2

# Field Class

(ProjectExplorer::JsonFieldPage::Field)

- List of all members, including inherited members

## Public Functions

| Field()
virtual | ~Field()
void | adjustState(Utils::MacroExpander *expander)
virtual void | cleanup(Utils::MacroExpander *expander)
void | createWidget(JsonFieldPage *page)
QString | displayName()
bool | hasSpan()
void | initialize(Utils::MacroExpander *expander)
bool | isMandatory()
QString | name()
virtual void | setEnabled(bool e)
void | setVisible(bool v)
virtual bool | suppressName() const
QString | toolTip()
virtual bool | validate(Utils::MacroExpander *expander, QString *message)
QWidget * | widget(const QString &displayName, JsonFieldPage *page)

## Static Public Members

Field * | parse(const QVariant &input, QString *errorMessage)

## Protected Functions

virtual QWidget * | createWidget(const QString &displayName, JsonFieldPage *page) = 0
virtual void | initializeData(Utils::MacroExpander *expander)
virtual bool | parseData(const QVariant &data, QString *errorMessage) = 0
virtual void | setup(JsonFieldPage *page, const QString &name)
QWidget * | widget() const

## Member Function Documentation

### Field::Field()

Default constructs an instance of Field.

### `[virtual]` Field::~Field()

Destroys the instance of Field. The destructor is virtual.

### void Field::adjustState(Utils::MacroExpander *expander)

### `[virtual]` void Field::cleanup(Utils::MacroExpander *expander)

### void Field::createWidget(JsonFieldPage *page)

### `[pure virtual protected]` QWidget *Field::createWidget(const QString &displayName, JsonFieldPage *page)

### QString Field::displayName()

### bool Field::hasSpan()

### void Field::initialize(Utils::MacroExpander *expander)

### `[virtual protected]` void Field::initializeData(Utils::MacroExpander *expander)

### bool Field::isMandatory()

### QString Field::name()

### `[static]` Field *Field::parse(const QVariant &input, QString *errorMessage)

### `[pure virtual protected]` bool Field::parseData(const QVariant &data, QString *errorMessage)

### `[virtual]` void Field::setEnabled(bool e)

### void Field::setVisible(bool v)

### `[virtual protected]` void Field::setup(JsonFieldPage *page, const QString &name)

### `[virtual]` bool Field::suppressName() const

### QString Field::toolTip()

### `[virtual]` bool Field::validate(Utils::MacroExpander *expander, QString *message)

### QWidget *Field::widget(const QString &displayName, JsonFieldPage *page)

### `[protected]` QWidget *Field::widget() const